console.log('in bg');
chrome.runtime.onMessage.addListener(
	function(request, sender, sendResponse) {
		console.log('inside onMessage'+request.notificationId);
		chrome.notifications.create(request.notificationId,{
            type: 'basic',
            iconUrl: request.iconUrl,
            title: request.title,
            message: request.msg,
            requireInteraction: true,
            contextMessage: request.contextMessage
        },function(notificationId){console.log('showed')});

        chrome.notifications.onClicked.addListener(function(notificationId) {
            chrome.notifications.clear(notificationId, function() {});
            chrome.windows.update(sender.tab.windowId, {focused: true},function(){
                chrome.tabs.update(sender.tab.id, {'selected': true});
                chrome.tabs.sendMessage(sender.tab.id, {action: "gotoUrl", url: request.openUrl}, function(response) {});
            });
        });
    }
);

chrome.extension.onRequest.addListener(
	function(request, sender, sendResponse) {
		console.log('inside onRequest'+request.notificationId);
		chrome.notifications.create(request.notificationId,{
            type: 'basic',
            iconUrl: request.iconUrl,
            title: request.title,
            message: request.msg,
            requireInteraction: true,
            contextMessage: request.contextMessage
        },function(notificationId){console.log('showed')});

        chrome.notifications.onClicked.addListener(function(notificationId) {
            chrome.notifications.clear(notificationId, function() {});
            chrome.windows.update(sender.tab.windowId, {focused: true},function(){
                chrome.tabs.update(sender.tab.id, {'selected': true});
                chrome.tabs.sendMessage(sender.tab.id, {action: "gotoUrl", url: request.openUrl}, function(response) {});
            });
        });
    }
);